Package picard.illumina

# Class BarcodeExtractor.BarcodeMatch

java.lang.Object
picard.illumina.BarcodeExtractor.BarcodeMatch

Enclosing class:
  `BarcodeExtractor`

public static class BarcodeExtractor.BarcodeMatch extends Object
Utility class to hang onto data about the best match for a given barcode

## Constructor Summary

Constructors
Constructor
Description
`BarcodeMatch()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBarcode()`
`int`
`getMismatches()`
`int`
`getMismatchesToSecondBest()`
`boolean`
`isMatched()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BarcodeMatch

public BarcodeMatch()

## Method Details

### isMatched

public boolean isMatched()

### getBarcode

public String getBarcode()

### getMismatches

public int getMismatches()

### getMismatchesToSecondBest

public int getMismatchesToSecondBest()